# Installation (v1.0.5)

First, verify the file is authentic:
```sh
diff -is <(echo "abe33deb0fd2949af9b10ae9cbb888ef1f1122baa45a5698ebc5f8e0c9e01cef") <(shasum -a 256 vinkvfxls-v1.0.5-macos_arm.sh | awk '{print $1}')
```
If it mentions "OK", then continue.

It is recommended to install using this command:
```sh
tar -xf vinkvfxls-v1.0.5-macos_arm.tar.gz
chmod +x vinkvfxls-v1.0.5-macos_arm.run
./vinkvfxls-v1.0.5-macos_arm.run --prefix=/opt
```

But you can also choose your own directory by removing the prefix argument. For ease of this guide I assume it is installed in `/opt/vinkvfxls`.

If you want to make the server available as the `vinkvfxls` command, you can make a symlink using this command:
```sh
ln -fs /opt/vinkvfxls/vinkvfxls /usr/local/bin/vinkvfxls
```

Make sure you install the licenses before using the server. Refer to the docs for instructions:

https://docs.vinkvfx.com/license-server/quickstart/


## Installing vinkvfxls as a service
In the installed directory there is a script called `svc.sh`
This can be used to install the license server, so it boots automatically on server start.

```sh
/opt/vinkvfxls/svc.sh --install
```

Then start the server using:
```sh
/opt/vinkvfxls/svc.sh --start
```

You can check the service status using:
``` sh
/opt/vinkvfxls/svc.sh --status
```

It also has the options available for uninstalling or stopping the service using `--stop` and `--uninstall`.